# Parametry
$Domena = "dtest.windowsservernet.com"
$Kontener = "ou=Kierownictwo, dc=dtest, dc=windowsservernet, dc=com"

# Tworzenie obiektu
$gpm = New-Object -ComObject "GPMGMT.GPM"

# Obiekt domeny
$Domena = $GPM.GetDomain($Domena, "", $GPM.GetConstants().UseAnyDC)

# Obiekt kontenera
$Kontener = $Domena.GetSOM($Kontener)

# Pobieranie GPO
$Links = $Kontener.GetGPOLinks()

# Wyświetlanie GPO
foreach ($link in $Links)
{
$GPO = $Domena.GetGPO($link.GPOID)
$GPO | Select Displayname, CreationTime
}
